throw new Error("Description for built in functions. Must not be included!");
/**
 * @fileOverview
 *    Documentation of dim namespace.
 */

/**
 * @namespace
 *
 * Namespace for extension functions dealing with the console
 *
 * @author <a href="mailto:thomas.bretz@epfl.ch">Thomas Bretz</a>
 */
var console = { };

/**
 *
 * Displays a message on the local console (only).
 *
 * @param argument
 *     Any kind of argument can be given. If it is not a String, it
 *     is converted using the toString() member function.
 *
 * @param [. . .]
 *     Any number of additional arguments. Each argument will appear in
 *     a new line.
 *
 * @example
 *     console.out("Five="+5, "--- new line ---");
 *
 */
console.out = function() { /* [native code] */ }

/**
 *
 * Displays a warning message on the local console (only).
 *
 * (This is mainly meant for debugging purpose to highlight warning
 *  messages.)
 *
 * @param argument
 *     Any kind of argument can be given. If it is not a String, it
 *     is converted using the toString() member function.
 *
 * @param [. . .]
 *     Any number of additional arguments. Each argument will appear in
 *     a new line.
 *
 * @example
 *     console.warn("WARNING: Five="+5, "--- new line ---");
 *
 */
console.warn = function() { /* [native code] */ }
